:root {
  --side-length: 6em;
  --translate-length: 3em;
  --translate-length-reverse: -3em;
}

body {
  font-size: 100%;
  overflow: hidden;
  background-color: #09B4C6;
}

.perspective {
  background-size: var(--side-length) var(--side-length);
  left: 50%;
  margin: var(--translate-length-reverse);
  position: absolute;
  top: 50%;
  transform: perspective(500px) rotateX(45deg) rotateZ(45deg);
  transform-style: preserve-3d;
  transition: 0.75s;
  height: var(--side-length);
  width: var(--side-length);
}

.cube {
  box-shadow: inset 0 0 0 0.08em hsla(0, 0%, 0%, 0.1);
  height: var(--side-length);
  position: absolute;
  width: var(--side-length);
  background-color: rgb(255, 255, 255);
  transform-style: preserve-3d;
}

.cube.one {
  transform: translateZ(var(--translate-length));
  background-image: url(../img/logo_cube_01.svg);
}

.cube.two {
  transform: translateY(var(--translate-length)) rotateX(-90deg);
  background-image: url(../img/logo_cube_02.svg);
}

.cube.three {
  transform: translateX(var(--translate-length)) rotateX(-90deg) rotateY(90deg);
  background-image: url(../img/logo_cube_03.svg);
}

.cube.four {
  transform: translateY(var(--translate-length-reverse)) rotateX(-90deg) rotateY(180deg);
  background-image: url(../img/logo_cube_05.svg);
}

.cube.five {
  transform: translateX(var(--translate-length-reverse)) rotateX(-90deg) rotateY(-90deg);
  background-image: url(../img/logo_cube_04.svg);
}

.cube.six {
  transform: translateZ(var(--translate-length-reverse)) rotateY(180deg);
  background-image: url(../img/logo_cube_06.svg);
}